// pages/userGoods/userGoods.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        noticeText  : '',       //公告
        goodsArr    : [],       //产品列表
        page        : {},       //分页信息
        lodingStats : false,    //加载状态
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad (options) {
        // 获取产品列表
        this.goodsGain();
    },

    /**
     * 产品列表
     */
    goodsGain(page){
        wx.$api.user.productList(page).then(res=>{
            let listArr = this.data.goodsArr,
                newData = []
            if(page == 1 || page == undefined) listArr = []
            newData = listArr.concat(res.data.list.data)

            this.setData({
                goodsArr    : newData,
                page        : res.data.list.page,
                noticeText  : res.data.notice
            })          
        }).catch(err=>{
            if(!err.login){
                // 写入缓存
                wx.setStorage({
                    key     : 'token',
                    data    : ''
                })
            }
        })
    }
})